* {
    margin: 0;
    padding: 0;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

html, body, .container {
    width: 100%;
    height: 100%;
    background: black;
    color: rgb(0,255, 0);
}

.head, .foot {
    text-align: center;
    margin: 10px 0;
}

.container {
    display: flex;
    flex-direction: column;
    max-width: 400px;
    margin: auto;
}

.panel {
    display: none;
    flex: 1;
    position: relative;
    top: 0;
    left: 0;
    height: calc(100%-20px);
    width: calc(100%-20px);
    background: rgb(0,10,20);
    color: rgb(200, 200, 0);
    border:solid 1px rgb(0,255, 0);
    border-radius: 10%;
    margin: 10px;
    padding: 15px;
}

.panel.active {
    display: block;
}

.panel p {
    color:rgb(0,255, 0);
    font-family: 'Courier New', Courier, monospace;
    font-size: 14px;
    margin-bottom: 0.5em;
}

.panel button {
    color: rgb(0,255,0);
    background: rgba(0,255, 0, 0.25);
    border: solid 1px rgb(0,255,0);
    margin: 10px auto;
    padding: 15px 40px;
    font-family: 'Courier New', Courier, monospace;
}

#game.active {
    padding: 15% 10px 20% 10px;
    display: flex;
    flex-direction: column;
}

#game.active .gameboard {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: 100%;
    height: 100%;
}

#game .row {
    display: flex;
    flex: 1;
    gap: 5px;
}

.lightit {
    position: relative;
    flex: 1;
    cursor: pointer;
    display: inline-block;
    width: 100%;
    height: 100%;
    border: none;
    border-radius: 5px;
    background-color: Gold;
    -webkit-transition: background-color .3s;
    transition: background-color .3s;
}

.lightit:active {
    background-color: #EEE;
}

.lightit:before {
    content: "⚡";
    color: #EEE;
    font-size: 50px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 1;
}

.light-on {
    background-color: Gray;
    
}

.lightit.light-on:before {
    opacity: 0.25;
}

#preview.active {
    display: flex;
    flex-direction: column;
    padding:0;
    overflow: hidden;
}

#preview button#activate {
    display: inline-block;
}

#preview button#reboot {
    display: none;
}

#preview.complete button#activate {
    display: none;
}

#preview.complete button#reboot {
    display: inline-block;
}

#mappreview {
    flex: 1;
    border-bottom: solid 2px rgb(0,255, 0);
}

#start-2 {
    flex: 0;
}

#outtro.active,
#mappreview {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr;
    grid-gap: 2px;
    padding: 0;
    background:rgb(0,255, 0);
    overflow: hidden;
}

.maptile {
    position: relative;
}

.maptile .message {
    background: black;
    color:rgb(0,255, 0);
    font-family: 'Courier New', Courier, monospace;
    font-size: 12px;
    padding: 2px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

}

.maptile.ready .message{
    display: none;
}

#timer {
    font-family: 'Courier New', Courier, monospace;
}

#activate {
    display: none !important;
}